/* License (GPL)
 *
 * Copyright (C) 2014,2015,2016,2017,2018  Giso Grimm
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; version 2 of the
 * License.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */
#ifndef SCENE_MANAGER_H
#define SCENE_MANAGER_H

#include "session.h"
#include <mutex>

class scene_manager_t 
{
public:
  scene_manager_t();
  virtual ~scene_manager_t();
  void scene_load(const std::string& fname);
  void scene_destroy();
  void scene_new();
protected:
  std::mutex session_mutex;
  //pthread_mutex_t mtx_scene;
  TASCAR::session_t* session;
};

std::string load_any_file(const std::string& fname);

#endif

/*
 * Local Variables:
 * mode: c++
 * c-basic-offset: 2
 * indent-tabs-mode: nil
 * compile-command: "make -C .."
 * End:
 */
